xine-lib: osd_object_s Struct Reference

xine-lib 1.2.12

Data Fields
osd_object_s Struct Reference

`#include <osd.h>`

## Data Fields
osd_object_t * | next
osd_renderer_t * | renderer
int | width
int | height
uint8_t * | area
int | area_touched
int | display_x
int | display_y
int | video_window_x
int | video_window_y
int | video_window_width
int | video_window_height
int | extent_width
int | extent_height
int | x1
int | y1
int | x2
int | y2
uint32_t | color [OVL_PALETTE_SIZE]
uint8_t | trans [OVL_PALETTE_SIZE]
osd_font_t * | font
osd_ft2context_t * | ft2
argb_layer_t * | argb_layer
int32_t | handle

## Field Documentation

## ◆ area

uint8_t* osd_object_s::area

Referenced by clear_overlay(), osd_clear(), osd_draw_bitmap(), osd_filled_rect(), osd_line(), osd_new_object(), osd_point(), and osd_render_text().

## ◆ area_touched

int osd_object_s::area_touched

Referenced by _osd_show(), _update_clipping(), clear_overlay(), osd_clear(), osd_new_object(), osd_render_text(), and overlay_proc().

## ◆ argb_layer

argb_layer_t* osd_object_s::argb_layer

Referenced by _osd_show(), osd_clear(), osd_free_object(), and osd_set_argb_buffer().

## ◆ color

uint32_t osd_object_s::color[OVL_PALETTE_SIZE]

Referenced by osd_get_palette(), osd_new_object(), osd_set_palette(), and osd_set_text_palette().

## ◆ display_x

int osd_object_s::display_x

Referenced by _osd_show(), and osd_set_position().

## ◆ display_y

int osd_object_s::display_y

Referenced by _osd_show(), and osd_set_position().

## ◆ extent_height

int osd_object_s::extent_height

Referenced by _osd_show(), osd_new_object(), and osd_set_extent().

## ◆ extent_width

int osd_object_s::extent_width

Referenced by _osd_show(), osd_new_object(), and osd_set_extent().

## ◆ font

osd_font_t* osd_object_s::font

Referenced by osd_get_text_size(), osd_lookup_native(), osd_render_text(), osd_renderer_unload_font(), and osd_set_font().

## ◆ ft2

osd_ft2context_t* osd_object_s::ft2

Referenced by osd_get_text_size(), and osd_render_text().

## ◆ handle

int32_t osd_object_s::handle

Referenced by _osd_hide(), _osd_show(), osd_free_object(), and osd_new_object().

## ◆ height

int osd_object_s::height

Referenced by _osd_show(), clear_overlay(), osd_clear(), osd_filled_rect(), osd_line(), osd_new_object(), osd_point(), osd_render_text(), osd_set_argb_buffer(), and update_osd().

## ◆ next

osd_object_t* osd_object_s::next

Referenced by osd_new_object(), and osd_renderer_unload_font().

## ◆ renderer

osd_renderer_t* osd_object_s::renderer

Referenced by _osd_hide(), _osd_show(), osd_free_object(), osd_get_capabilities(), osd_get_text_size(), osd_hide(), osd_lookup_native(), osd_new_object(), osd_render_text(), osd_set_encoding(), osd_set_font(), osd_set_text_palette(), and xine_osd_new().

## ◆ trans

uint8_t osd_object_s::trans[OVL_PALETTE_SIZE]

Referenced by draw_subtitles(), osd_get_palette(), osd_new_object(), osd_set_palette(), and osd_set_text_palette().

## ◆ video_window_height

int osd_object_s::video_window_height

Referenced by _osd_show(), osd_new_object(), and osd_set_video_window().

## ◆ video_window_width

int osd_object_s::video_window_width

Referenced by _osd_show(), osd_new_object(), and osd_set_video_window().

## ◆ video_window_x

int osd_object_s::video_window_x

Referenced by _osd_show(), osd_new_object(), and osd_set_video_window().

## ◆ video_window_y

int osd_object_s::video_window_y

Referenced by _osd_show(), osd_new_object(), and osd_set_video_window().

## ◆ width

int osd_object_s::width

Referenced by _osd_show(), clear_overlay(), draw_subtitles(), osd_clear(), osd_draw_bitmap(), osd_filled_rect(), osd_line(), osd_new_object(), osd_point(), osd_render_text(), osd_set_argb_buffer(), and update_osd().

## ◆ x1

int osd_object_s::x1

Referenced by _osd_show(), _update_clipping(), clear_overlay(), osd_clear(), osd_new_object(), osd_render_text(), and osd_set_argb_buffer().

## ◆ x2

int osd_object_s::x2

Referenced by _osd_show(), _update_clipping(), clear_overlay(), osd_clear(), osd_new_object(), osd_render_text(), and osd_set_argb_buffer().

## ◆ y1

int osd_object_s::y1

Referenced by _osd_show(), _update_clipping(), clear_overlay(), osd_clear(), osd_new_object(), osd_render_text(), and osd_set_argb_buffer().

## ◆ y2

int osd_object_s::y2

Referenced by _osd_show(), _update_clipping(), clear_overlay(), osd_clear(), osd_new_object(), osd_render_text(), and osd_set_argb_buffer().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/include/xine/osd.h